// MRFC522 Card Infodump V1.1
// Reads card or tag UID and dumps contents of memory

// Include the library routines
#include <SPI.h>
#include <MFRC522.h>

// Define the pins
#define RST_PIN 9
#define SS_PIN  10

// Create an instance of the MFRC522
MFRC522 mfrc522(SS_PIN, RST_PIN);

// Set-up code
void setup() {
  Serial.begin(9600);    // Initialize serial port communication
  SPI.begin();      // Initialise the SPI bus
  mfrc522.PCD_Init();   // Initialise the MFRC522
  Serial.println("Card Information Dump V1.1a");
  Serial.println("Place the card or tag close to the reader and wait until all data is read ...");
}

void loop() {
  byte i;

  // Is a card detected?
  if (mfrc522.PICC_IsNewCardPresent())
  {

    // Can the serial number be read?
    if (mfrc522.PICC_ReadCardSerial())
    {
      Serial.println();
      Serial.print("Card detected : ");
      mfrc522.PICC_DumpToSerial(&(mfrc522.uid));

    }
  }
}
